Skip to main content
GET
/
api
/
v1
/
trends
Get trending topics
curl --request GET \
  --url https://quizquail.com/api/v1/trends \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://quizquail.com/api/v1/trends"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://quizquail.com/api/v1/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "title": "<string>",
      "hook": "<string>",
      "quizPrompt": "<string>",
      "timescale": "<string>"
    }
  ],
  "refreshedAt": "2023-11-07T05:31:56Z"
}
{
"type": "https://quizquail.com/problems/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "Request validation failed",
"instance": "<string>",
"errors": [
{
"field": "title",
"message": "Title is required",
"code": "too_small"
}
]
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your key with Bearer in the Authorization header.

Keys follow the format qq_... and can be scoped to specific permissions.

Query Parameters

category
enum<string>

Filter by trend category

Available options:
pop_culture,
sports,
science_tech,
entertainment,
world_events,
gaming,
food_lifestyle

Response

Trending topics

data
object[]
required
refreshedAt
string<date-time> | null
required